Feature-classifier error: empty reads input

I installed qiime2 (version 2020.8) through miniconda. While assigning taxonomy (https://github.com/LangilleLab/microbiome_helper/wiki/Amplicon-SOP-v2-(qiime2-2020.2)#32-run-taxonomic-classification), I got an error that I can’t find a prior occurrence of through google or searching this forum. Thanks in advance for any help, and as I’m new here, sorry if I’ve foolishly posted.

After running:
qiime feature-classifier classify-sklearn --i-reads deblur_output/representative_sequences.qza --i-classifier /home/cory/Documents/wlb/qiime_2020/silva-138-99-515-806-nb-classifier.qza --p-n-jobs 1 --output-dir taxa

I got this:
Plugin error from feature-classifier: empty reads input
Debug info has been saved to /tmp/qiime2-q2cli-err-zbfzrjpi.log

The log:
/home/cory/miniconda3/envs/qiime2-2020.8/lib/python3.6/site-packages/skbio/io/registry.py:548: FormatIdentificationWarning: <_io.BufferedReader name=’/tmp/qiime2-archive-6ymbirue/25c9a532-9daa-43fd-8c44-6a4fff335f3e/data/dna-sequences.fasta’> does not look like a fasta file
% (file, fmt), FormatIdentificationWarning)
Traceback (most recent call last):
File “/home/cory/miniconda3/envs/qiime2-2020.8/lib/python3.6/site-packages/q2_feature_classifier/classifier.py”, line 156, in _autodetect_orientation
read = next(reads)
StopIteration

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/home/cory/miniconda3/envs/qiime2-2020.8/lib/python3.6/site-packages/q2cli/commands.py”, line 329, in call
results = action(**arguments)
File “”, line 2, in classify_sklearn
File “/home/cory/miniconda3/envs/qiime2-2020.8/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 245, in bound_callable
output_types, provenance)
File “/home/cory/miniconda3/envs/qiime2-2020.8/lib/python3.6/site-packages/qiime2/sdk/action.py”, line 390, in callable_executor
output_views = self._callable(**view_args)
File “/home/cory/miniconda3/envs/qiime2-2020.8/lib/python3.6/site-packages/q2_feature_classifier/classifier.py”, line 216, in classify_sklearn
reads, classifier, read_orientation=read_orientation)
File “/home/cory/miniconda3/envs/qiime2-2020.8/lib/python3.6/site-packages/q2_feature_classifier/classifier.py”, line 158, in _autodetect_orientation
raise ValueError(‘empty reads input’)
ValueError: empty reads input

Welcome @wburgess!

Thanks for reporting a new error message! This one sounds quite clear:

Sounds like some of your input sequences must be empty for some reason (this shouldn’t occur in QIIME 2 usually, but strange things can happen :slight_smile:)

I recommend running qiime tools validate deblur_output/representative_sequences.qza to see if that catches the problem line…

if that fails you should export and manually inspect the first 100 sequences to see if there are any empty or unusual looking reads… it’s possible that the read isn’t empty but some irregularity (e.g., an invalid character?) is causing feature-classifier to explode.

Let us know what you find!

1 Like

This topic was automatically closed 31 days after the last reply. New replies are no longer allowed.